Contacts Sync (requires ROOT) 1.95

Contacts Sync (requires ROOT) 1.95

By:

Package Name: com.lb.contacts_sync
Filename:

com.lb.contacts_sync_1.95-95_minAPI14(nodpi)_APKdot.com.apk

Version: 1.95 (95)
Uploaded: Sunday, 24-Mar-19 14:18:13 UTC
File size: 3.67 MB (3666076 bytes)
Minimum Android version: 4.0 (Ice Cream Sandwich, API 14)
Target Android version: 9.0 (Pie, API 28)
MD5sum: d0acd53c723088b395d86ce91a4ea592
SHA1sum: 2c69b1399c9692ecc0d6bd71edc0ca31bb947a4c


icon verified Safe verified to install

sad dog with adblocker

WOOF... WOOF...

Seems like you are using AdBlock to hide banners... ADS are quite nice and don't take much space, you may consider disabling it on this website.
This is the only AD on the entire website.

Thanks!

It looks like you're using an ad blocker, so you'll have to wait 15 more seconds.
Please disable your ad blocker to skip the wait and help support the site.

Change logs / What's New

Minor bugs fixes

All Versions

Contacts Sync (requires ROOT) 1.96
Contacts Sync (requires ROOT) 1.94
Contacts Sync (requires ROOT) 1.93
Contacts Sync (requires ROOT) 1.92
Contacts Sync (requires ROOT) 1.91
Contacts Sync (requires ROOT) 1.90
Contacts Sync (requires ROOT) 1.88
Contacts Sync (requires ROOT) 1.88
Contacts Sync (requires ROOT) 1.87
Contacts Sync (requires ROOT) 1.84

Comments